﻿@model crm.ProjetWeb.Models.ReclamationModel
@using crm.Services
@using crm.Domain.Entity
@{
    ViewBag.Title = "Repondre";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}
<span id="span1"></span>
<script src="~/Scripts/jquery-3.3.1.js"></script>
<script>
    
    $(document).ready(function () {
       


                $("#Autres").change(function () {
                    var a = $("#type").val();
                    $("#afficherReponse").show();
                    $("#span1").text(a);
                    
                })
                $("#Remboursement").change(function () {
                    $("#afficherReponse").show();
                   // $(".check-box input:checked").parent.remove();
                    $("#modelId").val("On s'excuse ,On vous propose un remboursement ");

                })
                $("#ProposerReduction").change(function () {
                    $("#afficherReponse").show();
                 //   $(".check-box input:checked").parent.remove();
                    $("#modelId").val("On vous propose une réduction de 15% au prochain achat");

                })
                $("#Autres").change(function () {
                    $("#afficherReponse").show();
                  //  $(".check-box input:checked").parent.remove();
                    $("#modelId").val("");
                })
                $("#EnvoyerExcuse").change(function () {
                    $("#afficherReponse").show();
                    //  $(".check-box input:checked").parent.remove();
                    $("#modelId").val("On s'excuse,On vous promet qu'on essaiera d'eviter ce genre des fautes");
                })
                $("#Blamer").change(function () {
                    $("#afficherReponse").show();
                    //  $(".check-box input:checked").parent.remove();
                    $("#modelId").val("On va verifier puis on va prendre les decisions necessaires sur cette boutique ");
                })

                
            })

</script>
<center>
    <br>
    <br>
    <br>
    <br>

    <h2>Edit</h2>

    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()

        <div class="form-horizontal">
            <h4>MandateModel</h4>
            <hr />
            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            <div class="form-group">
                @Html.LabelFor(model => model.type, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-5">
                    @Html.EditorFor(model => model.type, new { htmlAttributes = new { @class = "form-control", @id = "description", @readonly = "readonly" } })
                    @Html.ValidationMessageFor(model => model.type, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.description, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-5">
                    @Html.EditorFor(model => model.description, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                    @Html.ValidationMessageFor(model => model.description, "", new { @class = "text-danger" })
                </div>
            </div>
            @{
                IReclamationService cs = new ReclamationService();
                Reclamation c = new Reclamation();
                c = cs.Get(t => t.Reclamationid == Model.Reclamationid);
                TypeRec Financiere = (TypeRec)Enum.Parse(typeof(TypeRec), "Financiere", true);
                TypeRec Relationnelle = (TypeRec)Enum.Parse(typeof(TypeRec), "Relationnelle", true);
                TypeRec Technique = (TypeRec)Enum.Parse(typeof(TypeRec), "Technique", true);
            }
            @if (c.type == Financiere)
            {

            <div>
                <label class="check-box" for="ProposerReduction">Proposer Reduction</label>
                <input type="checkbox" id="ProposerReduction" name="ProposerReduction">
                
            </div>

            <div>
                <label class="check-box" for="Remboursement">Remboursement</label>
                <input type="checkbox" id="Remboursement" name="Remboursement">
                
            </div>
            <div>
                <label class="check-box" for="Autres">Autres</label>
                <input type="checkbox" id="Autres" name="Autress">
                
            </div>
            }
            @if (c.type == Relationnelle)
            {

                <div>
                    <label class="check-box" for="Blamer">S'excuser</label>
                    <input type="checkbox" id="Blamer" name="EnvoyerExcuse">

                </div>

                <div>
                    <label class="check-box" for="Autres">Autres</label>
                    <input type="checkbox" id="Autres" name="Autres">

                </div>
            }
            @if (c.type == Technique)
            {

                <div>
                    <label class="check-box" for="EnvoyerExcuse">S'excuser</label>
                    <input type="checkbox" id="EnvoyerExcuse" name="EnvoyerExcuse">

                </div>

                <div>
                    <label class="check-box" for="Autres">Autres</label>
                    <input type="checkbox" id="Autres" name="Autress">

                </div>
            }

            <div class="form-group" id="afficherReponse" style="display:none">
                @Html.LabelFor(model => model.reponse, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-5">
                    @Html.EditorFor(model => model.reponse, new { htmlAttributes = new { @class = "form-control",@id="modelId" } })
                    @Html.ValidationMessageFor(model => model.reponse, "", new { @class = "text-danger" })
                </div>
            </div>



            @Html.HiddenFor(model => model.Reclamationid)



            <div class="form-group" id="save">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" value="Save" class="btn btn-default" />
                </div>
            </div>
        </div>
    }
</center>
<div>
    @Html.ActionLink("Back to List", "Index")
</div>
